package quq.ts.utils;

import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

import javax.sql.XAConnection;

import quq.ts.utils.*;

public class DBOperator {
	public static void execSQL(Connection conn, String sql)
			throws ClassNotFoundException, SQLException {

		Statement state = null;

		try {
			state = conn.createStatement();
			state.execute(sql);
		} finally {
			if (state != null) {
				state.close();
			}
			if (conn != null) {
				conn.close();
			}
		}

	}

	public static void execSQL(XAConnection conn, String sql)
			throws ClassNotFoundException, SQLException {
		Connection c = null;
		Statement state = null;
		try {
			c = conn.getConnection();
			state = c.createStatement();
			state.execute(sql);
		} finally {

			System.out.println();
			if (state != null) {
				state.close();
			}
			if (c != null) {
				c.close();
			}
		}

	}
}
